com.mysql.jdbc

## Interface LoadBalanceExceptionChecker

All Superinterfaces:
  Extension

All Known Implementing Classes:
  NdbLoadBalanceExceptionChecker, StandardLoadBalanceExceptionChecker

    public interface LoadBalanceExceptionChecker
    extends Extension

### Method Summary

Methods
`boolean` `shouldExceptionTriggerFailover(java.sql.SQLException ex)` Invoked to determine whether or a given SQLException should trigger a failover in a load-balanced deployment.

### Methods inherited from interface com.mysql.jdbc.Extension

`destroy, init`

### Method Detail

#### shouldExceptionTriggerFailover

    boolean shouldExceptionTriggerFailover(java.sql.SQLException ex)

Invoked to determine whether or a given SQLException should trigger a failover in a load-balanced deployment. The driver will not pass in a Connection instance when calling init(), but it will pass in the Properties, otherwise it acts like a normal Extension. One instance of a handler *per* JDBC connection instance will be created. If you need singleton-like behavior, you're on your own to provide it.

Parameters:
  `ex` -
Returns:
  true if the exception should trigger failover.